Macro
SEQAN_TEMP_FILENAME
Generates the name to a temporary file.
SEQAN_TEMP_FILENAME()
Remarks
The pointed to string is stored in a buffer and is overwritten by the next call to this macro. Copy it out if you need it.
Return Values
char const *, string with the path to a temporary file.
Examples
const char *p = SEQAN_TEMP_FILENAME();
buffer char tempFilename[1000];
strcpy(tempFilename, p);
FILE *f = fopen(tempFilename, "w");
fprintf(f, "Test Data");
fclose(f);
See Also
SEQAN_PATH_TO_ROOT
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59